Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.filesystem
Class DocumentOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.poi.poifs.filesystem.DocumentOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class DocumentOutputStream

extends java.io.OutputStream

This class provides a wrapper over an OutputStream so that Document writers can't accidently go over their size limits

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`void` | `close()` Closes this output stream and releases any system resources associated with this stream.
`void` | `flush()` Flushes this output stream and forces any buffered output bytes to be written out.
`void` | `write(byte[] b)` Writes b.length bytes from the specified byte array to this output stream.
`void` | `write(byte[] b, int off, int len)` Writes len bytes from the specified byte array starting at offset off to this output stream.
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this output stream. The general contract for write is that one byte is written to the output stream. The byte to be written is the eight low-order bits of the argument b. The 24 high-order bits of b are ignored.

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the byte.
  Throws:
    `java.io.IOException` - if an I/O error occurs. In particular, an IOException may be thrown if the output stream has been closed, or if the writer tries to write too much data.

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes b.length bytes from the specified byte array to this output stream.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes len bytes from the specified byte array starting at offset off to this output stream. The general contract for write(b, off, len) is that some of the bytes in the array b are written to the output stream in order; element b[off] is the first byte written and b[off+len-1] is the last byte written by this operation.

  If b is null, a NullPointerException is thrown.

  If off is negative, or len is negative, or off+len is greater than the length of the array b, then an IndexOutOfBoundsException is thrown.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException` - if an I/O error occurs. In particular, an IOException is thrown if the output stream is closed or if the writer tries to write too many bytes.

### flush

    public void flush()
               throws java.io.IOException

  Flushes this output stream and forces any buffered output bytes to be written out.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### close

    public void close()

  Closes this output stream and releases any system resources associated with this stream. The general contract of close is that it closes the output stream. A closed stream cannot perform output operations and cannot be reopened.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.